//
//Copyright 2022 The Kubernetes Authors.
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.6
// 	protoc        v5.29.2
// source: cloudprovider/externalgrpc/protos/externalgrpc.proto

package protos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	_ "google.golang.org/protobuf/types/descriptorpb"
	anypb "google.golang.org/protobuf/types/known/anypb"
	v11 "k8s.io/api/core/v1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type InstanceStatus_InstanceState int32

const (
	// an Unspecified instanceState means the actual instance status is undefined (nil).
	InstanceStatus_unspecified InstanceStatus_InstanceState = 0
	// InstanceRunning means instance is running.
	InstanceStatus_instanceRunning InstanceStatus_InstanceState = 1
	// InstanceCreating means instance is being created.
	InstanceStatus_instanceCreating InstanceStatus_InstanceState = 2
	// InstanceDeleting means instance is being deleted.
	InstanceStatus_instanceDeleting InstanceStatus_InstanceState = 3
)

// Enum value maps for InstanceStatus_InstanceState.
var (
	InstanceStatus_InstanceState_name = map[int32]string{
		0: "unspecified",
		1: "instanceRunning",
		2: "instanceCreating",
		3: "instanceDeleting",
	}
	InstanceStatus_InstanceState_value = map[string]int32{
		"unspecified":      0,
		"instanceRunning":  1,
		"instanceCreating": 2,
		"instanceDeleting": 3,
	}
)

func (x InstanceStatus_InstanceState) Enum() *InstanceStatus_InstanceState {
	p := new(InstanceStatus_InstanceState)
	*p = x
	return p
}

func (x InstanceStatus_InstanceState) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (InstanceStatus_InstanceState) Descriptor() protoreflect.EnumDescriptor {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_enumTypes[0].Descriptor()
}

func (InstanceStatus_InstanceState) Type() protoreflect.EnumType {
	return &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_enumTypes[0]
}

func (x InstanceStatus_InstanceState) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use InstanceStatus_InstanceState.Descriptor instead.
func (InstanceStatus_InstanceState) EnumDescriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{29, 0}
}

type NodeGroup struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node group on the cloud provider.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// MinSize of the node group on the cloud provider.
	MinSize int32 `protobuf:"varint,2,opt,name=minSize,proto3" json:"minSize,omitempty"`
	// MaxSize of the node group on the cloud provider.
	MaxSize int32 `protobuf:"varint,3,opt,name=maxSize,proto3" json:"maxSize,omitempty"`
	// Debug returns a string containing all information regarding this node group.
	Debug         string `protobuf:"bytes,4,opt,name=debug,proto3" json:"debug,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroup) Reset() {
	*x = NodeGroup{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroup) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroup) ProtoMessage() {}

func (x *NodeGroup) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroup.ProtoReflect.Descriptor instead.
func (*NodeGroup) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{0}
}

func (x *NodeGroup) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *NodeGroup) GetMinSize() int32 {
	if x != nil {
		return x.MinSize
	}
	return 0
}

func (x *NodeGroup) GetMaxSize() int32 {
	if x != nil {
		return x.MaxSize
	}
	return 0
}

func (x *NodeGroup) GetDebug() string {
	if x != nil {
		return x.Debug
	}
	return ""
}

type ExternalGrpcNode struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node assigned by the cloud provider in the format: <ProviderName>://<ProviderSpecificNodeID>.
	ProviderID string `protobuf:"bytes,1,opt,name=providerID,proto3" json:"providerID,omitempty"`
	// Name of the node assigned by the cloud provider.
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// labels is a map of {key,value} pairs with the node's labels.
	Labels map[string]string `protobuf:"bytes,3,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	// If specified, the node's annotations.
	Annotations   map[string]string `protobuf:"bytes,4,rep,name=annotations,proto3" json:"annotations,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ExternalGrpcNode) Reset() {
	*x = ExternalGrpcNode{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ExternalGrpcNode) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExternalGrpcNode) ProtoMessage() {}

func (x *ExternalGrpcNode) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExternalGrpcNode.ProtoReflect.Descriptor instead.
func (*ExternalGrpcNode) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{1}
}

func (x *ExternalGrpcNode) GetProviderID() string {
	if x != nil {
		return x.ProviderID
	}
	return ""
}

func (x *ExternalGrpcNode) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ExternalGrpcNode) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *ExternalGrpcNode) GetAnnotations() map[string]string {
	if x != nil {
		return x.Annotations
	}
	return nil
}

type NodeGroupsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupsRequest) Reset() {
	*x = NodeGroupsRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupsRequest) ProtoMessage() {}

func (x *NodeGroupsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupsRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupsRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{2}
}

type NodeGroupsResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// All the node groups that the cloud provider service supports.
	NodeGroups    []*NodeGroup `protobuf:"bytes,1,rep,name=nodeGroups,proto3" json:"nodeGroups,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupsResponse) Reset() {
	*x = NodeGroupsResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupsResponse) ProtoMessage() {}

func (x *NodeGroupsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupsResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupsResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{3}
}

func (x *NodeGroupsResponse) GetNodeGroups() []*NodeGroup {
	if x != nil {
		return x.NodeGroups
	}
	return nil
}

type NodeGroupForNodeRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Node for which the request is performed.
	Node          *ExternalGrpcNode `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupForNodeRequest) Reset() {
	*x = NodeGroupForNodeRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupForNodeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupForNodeRequest) ProtoMessage() {}

func (x *NodeGroupForNodeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupForNodeRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupForNodeRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{4}
}

func (x *NodeGroupForNodeRequest) GetNode() *ExternalGrpcNode {
	if x != nil {
		return x.Node
	}
	return nil
}

type NodeGroupForNodeResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Node group for the given node. nodeGroup with id = "" means no node group.
	NodeGroup     *NodeGroup `protobuf:"bytes,1,opt,name=nodeGroup,proto3" json:"nodeGroup,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupForNodeResponse) Reset() {
	*x = NodeGroupForNodeResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupForNodeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupForNodeResponse) ProtoMessage() {}

func (x *NodeGroupForNodeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupForNodeResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupForNodeResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{5}
}

func (x *NodeGroupForNodeResponse) GetNodeGroup() *NodeGroup {
	if x != nil {
		return x.NodeGroup
	}
	return nil
}

type PricingNodePriceRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Node for which the request is performed.
	Node *ExternalGrpcNode `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
	// Start time for the request period.
	StartTime *v1.Time `protobuf:"bytes,2,opt,name=startTime,proto3" json:"startTime,omitempty"`
	// End time for the request period.
	EndTime       *v1.Time `protobuf:"bytes,3,opt,name=endTime,proto3" json:"endTime,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PricingNodePriceRequest) Reset() {
	*x = PricingNodePriceRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PricingNodePriceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PricingNodePriceRequest) ProtoMessage() {}

func (x *PricingNodePriceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PricingNodePriceRequest.ProtoReflect.Descriptor instead.
func (*PricingNodePriceRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{6}
}

func (x *PricingNodePriceRequest) GetNode() *ExternalGrpcNode {
	if x != nil {
		return x.Node
	}
	return nil
}

func (x *PricingNodePriceRequest) GetStartTime() *v1.Time {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *PricingNodePriceRequest) GetEndTime() *v1.Time {
	if x != nil {
		return x.EndTime
	}
	return nil
}

type PricingNodePriceResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Theoretical minimum price of running a node for a given period.
	Price         float64 `protobuf:"fixed64,1,opt,name=price,proto3" json:"price,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PricingNodePriceResponse) Reset() {
	*x = PricingNodePriceResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PricingNodePriceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PricingNodePriceResponse) ProtoMessage() {}

func (x *PricingNodePriceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PricingNodePriceResponse.ProtoReflect.Descriptor instead.
func (*PricingNodePriceResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{7}
}

func (x *PricingNodePriceResponse) GetPrice() float64 {
	if x != nil {
		return x.Price
	}
	return 0
}

type PricingPodPriceRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Pod for which the request is performed.
	Pod *v11.Pod `protobuf:"bytes,1,opt,name=pod,proto3" json:"pod,omitempty"`
	// Start time for the request period.
	StartTime *v1.Time `protobuf:"bytes,2,opt,name=startTime,proto3" json:"startTime,omitempty"`
	// End time for the request period.
	EndTime       *v1.Time `protobuf:"bytes,3,opt,name=endTime,proto3" json:"endTime,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PricingPodPriceRequest) Reset() {
	*x = PricingPodPriceRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PricingPodPriceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PricingPodPriceRequest) ProtoMessage() {}

func (x *PricingPodPriceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PricingPodPriceRequest.ProtoReflect.Descriptor instead.
func (*PricingPodPriceRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{8}
}

func (x *PricingPodPriceRequest) GetPod() *v11.Pod {
	if x != nil {
		return x.Pod
	}
	return nil
}

func (x *PricingPodPriceRequest) GetStartTime() *v1.Time {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *PricingPodPriceRequest) GetEndTime() *v1.Time {
	if x != nil {
		return x.EndTime
	}
	return nil
}

type PricingPodPriceResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Theoretical minimum price of running a pod for a given period.
	Price         float64 `protobuf:"fixed64,1,opt,name=price,proto3" json:"price,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PricingPodPriceResponse) Reset() {
	*x = PricingPodPriceResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PricingPodPriceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PricingPodPriceResponse) ProtoMessage() {}

func (x *PricingPodPriceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PricingPodPriceResponse.ProtoReflect.Descriptor instead.
func (*PricingPodPriceResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{9}
}

func (x *PricingPodPriceResponse) GetPrice() float64 {
	if x != nil {
		return x.Price
	}
	return 0
}

type GPULabelRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GPULabelRequest) Reset() {
	*x = GPULabelRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GPULabelRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GPULabelRequest) ProtoMessage() {}

func (x *GPULabelRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GPULabelRequest.ProtoReflect.Descriptor instead.
func (*GPULabelRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{10}
}

type GPULabelResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Label added to nodes with a GPU resource.
	Label         string `protobuf:"bytes,1,opt,name=label,proto3" json:"label,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GPULabelResponse) Reset() {
	*x = GPULabelResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GPULabelResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GPULabelResponse) ProtoMessage() {}

func (x *GPULabelResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GPULabelResponse.ProtoReflect.Descriptor instead.
func (*GPULabelResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{11}
}

func (x *GPULabelResponse) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

type GetAvailableGPUTypesRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetAvailableGPUTypesRequest) Reset() {
	*x = GetAvailableGPUTypesRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetAvailableGPUTypesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAvailableGPUTypesRequest) ProtoMessage() {}

func (x *GetAvailableGPUTypesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAvailableGPUTypesRequest.ProtoReflect.Descriptor instead.
func (*GetAvailableGPUTypesRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{12}
}

type GetAvailableGPUTypesResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// GPU types passed in as opaque key-value pairs.
	GpuTypes      map[string]*anypb.Any `protobuf:"bytes,1,rep,name=gpuTypes,proto3" json:"gpuTypes,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetAvailableGPUTypesResponse) Reset() {
	*x = GetAvailableGPUTypesResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetAvailableGPUTypesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAvailableGPUTypesResponse) ProtoMessage() {}

func (x *GetAvailableGPUTypesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAvailableGPUTypesResponse.ProtoReflect.Descriptor instead.
func (*GetAvailableGPUTypesResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{13}
}

func (x *GetAvailableGPUTypesResponse) GetGpuTypes() map[string]*anypb.Any {
	if x != nil {
		return x.GpuTypes
	}
	return nil
}

type CleanupRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CleanupRequest) Reset() {
	*x = CleanupRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[14]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CleanupRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CleanupRequest) ProtoMessage() {}

func (x *CleanupRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[14]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CleanupRequest.ProtoReflect.Descriptor instead.
func (*CleanupRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{14}
}

type CleanupResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CleanupResponse) Reset() {
	*x = CleanupResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[15]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CleanupResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CleanupResponse) ProtoMessage() {}

func (x *CleanupResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[15]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CleanupResponse.ProtoReflect.Descriptor instead.
func (*CleanupResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{15}
}

type RefreshRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RefreshRequest) Reset() {
	*x = RefreshRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[16]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RefreshRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RefreshRequest) ProtoMessage() {}

func (x *RefreshRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[16]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RefreshRequest.ProtoReflect.Descriptor instead.
func (*RefreshRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{16}
}

type RefreshResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RefreshResponse) Reset() {
	*x = RefreshResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[17]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RefreshResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RefreshResponse) ProtoMessage() {}

func (x *RefreshResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[17]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RefreshResponse.ProtoReflect.Descriptor instead.
func (*RefreshResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{17}
}

type NodeGroupTargetSizeRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupTargetSizeRequest) Reset() {
	*x = NodeGroupTargetSizeRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[18]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupTargetSizeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupTargetSizeRequest) ProtoMessage() {}

func (x *NodeGroupTargetSizeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[18]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupTargetSizeRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupTargetSizeRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{18}
}

func (x *NodeGroupTargetSizeRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupTargetSizeResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Current target size of the node group.
	TargetSize    int32 `protobuf:"varint,1,opt,name=targetSize,proto3" json:"targetSize,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupTargetSizeResponse) Reset() {
	*x = NodeGroupTargetSizeResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[19]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupTargetSizeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupTargetSizeResponse) ProtoMessage() {}

func (x *NodeGroupTargetSizeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[19]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupTargetSizeResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupTargetSizeResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{19}
}

func (x *NodeGroupTargetSizeResponse) GetTargetSize() int32 {
	if x != nil {
		return x.TargetSize
	}
	return 0
}

type NodeGroupIncreaseSizeRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Number of nodes to add.
	Delta int32 `protobuf:"varint,1,opt,name=delta,proto3" json:"delta,omitempty"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupIncreaseSizeRequest) Reset() {
	*x = NodeGroupIncreaseSizeRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[20]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupIncreaseSizeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupIncreaseSizeRequest) ProtoMessage() {}

func (x *NodeGroupIncreaseSizeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[20]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupIncreaseSizeRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupIncreaseSizeRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{20}
}

func (x *NodeGroupIncreaseSizeRequest) GetDelta() int32 {
	if x != nil {
		return x.Delta
	}
	return 0
}

func (x *NodeGroupIncreaseSizeRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupIncreaseSizeResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupIncreaseSizeResponse) Reset() {
	*x = NodeGroupIncreaseSizeResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[21]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupIncreaseSizeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupIncreaseSizeResponse) ProtoMessage() {}

func (x *NodeGroupIncreaseSizeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[21]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupIncreaseSizeResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupIncreaseSizeResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{21}
}

type NodeGroupDeleteNodesRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// List of nodes to delete.
	Nodes []*ExternalGrpcNode `protobuf:"bytes,1,rep,name=nodes,proto3" json:"nodes,omitempty"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupDeleteNodesRequest) Reset() {
	*x = NodeGroupDeleteNodesRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[22]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupDeleteNodesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupDeleteNodesRequest) ProtoMessage() {}

func (x *NodeGroupDeleteNodesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[22]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupDeleteNodesRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupDeleteNodesRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{22}
}

func (x *NodeGroupDeleteNodesRequest) GetNodes() []*ExternalGrpcNode {
	if x != nil {
		return x.Nodes
	}
	return nil
}

func (x *NodeGroupDeleteNodesRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupDeleteNodesResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupDeleteNodesResponse) Reset() {
	*x = NodeGroupDeleteNodesResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[23]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupDeleteNodesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupDeleteNodesResponse) ProtoMessage() {}

func (x *NodeGroupDeleteNodesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[23]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupDeleteNodesResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupDeleteNodesResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{23}
}

type NodeGroupDecreaseTargetSizeRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Number of nodes to delete.
	Delta int32 `protobuf:"varint,1,opt,name=delta,proto3" json:"delta,omitempty"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupDecreaseTargetSizeRequest) Reset() {
	*x = NodeGroupDecreaseTargetSizeRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[24]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupDecreaseTargetSizeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupDecreaseTargetSizeRequest) ProtoMessage() {}

func (x *NodeGroupDecreaseTargetSizeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[24]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupDecreaseTargetSizeRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupDecreaseTargetSizeRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{24}
}

func (x *NodeGroupDecreaseTargetSizeRequest) GetDelta() int32 {
	if x != nil {
		return x.Delta
	}
	return 0
}

func (x *NodeGroupDecreaseTargetSizeRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupDecreaseTargetSizeResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupDecreaseTargetSizeResponse) Reset() {
	*x = NodeGroupDecreaseTargetSizeResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[25]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupDecreaseTargetSizeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupDecreaseTargetSizeResponse) ProtoMessage() {}

func (x *NodeGroupDecreaseTargetSizeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[25]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupDecreaseTargetSizeResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupDecreaseTargetSizeResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{25}
}

type NodeGroupNodesRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupNodesRequest) Reset() {
	*x = NodeGroupNodesRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[26]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupNodesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupNodesRequest) ProtoMessage() {}

func (x *NodeGroupNodesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[26]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupNodesRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupNodesRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{26}
}

func (x *NodeGroupNodesRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupNodesResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// list of cloud provider instances in a node group.
	Instances     []*Instance `protobuf:"bytes,1,rep,name=instances,proto3" json:"instances,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupNodesResponse) Reset() {
	*x = NodeGroupNodesResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[27]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupNodesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupNodesResponse) ProtoMessage() {}

func (x *NodeGroupNodesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[27]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupNodesResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupNodesResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{27}
}

func (x *NodeGroupNodesResponse) GetInstances() []*Instance {
	if x != nil {
		return x.Instances
	}
	return nil
}

type Instance struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Id of the instance.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Status of the node.
	Status        *InstanceStatus `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Instance) Reset() {
	*x = Instance{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[28]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Instance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Instance) ProtoMessage() {}

func (x *Instance) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[28]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Instance.ProtoReflect.Descriptor instead.
func (*Instance) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{28}
}

func (x *Instance) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Instance) GetStatus() *InstanceStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

// InstanceStatus represents the instance status.
type InstanceStatus struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// InstanceState tells if the instance is running, being created or being deleted.
	InstanceState InstanceStatus_InstanceState `protobuf:"varint,1,opt,name=instanceState,proto3,enum=clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus_InstanceState" json:"instanceState,omitempty"`
	// ErrorInfo provides information about the error status.
	// If there is no error condition related to instance, then errorInfo.errorCode should be an empty string.
	ErrorInfo     *InstanceErrorInfo `protobuf:"bytes,2,opt,name=errorInfo,proto3" json:"errorInfo,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *InstanceStatus) Reset() {
	*x = InstanceStatus{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[29]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *InstanceStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceStatus) ProtoMessage() {}

func (x *InstanceStatus) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[29]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceStatus.ProtoReflect.Descriptor instead.
func (*InstanceStatus) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{29}
}

func (x *InstanceStatus) GetInstanceState() InstanceStatus_InstanceState {
	if x != nil {
		return x.InstanceState
	}
	return InstanceStatus_unspecified
}

func (x *InstanceStatus) GetErrorInfo() *InstanceErrorInfo {
	if x != nil {
		return x.ErrorInfo
	}
	return nil
}

// InstanceErrorInfo provides information about error condition on instance.
type InstanceErrorInfo struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ErrorCode is cloud-provider specific error code for error condition.
	// An empty string for errorCode means there is no errorInfo for the instance (nil).
	ErrorCode string `protobuf:"bytes,1,opt,name=errorCode,proto3" json:"errorCode,omitempty"`
	// ErrorMessage is the human readable description of error condition.
	ErrorMessage string `protobuf:"bytes,2,opt,name=errorMessage,proto3" json:"errorMessage,omitempty"`
	// InstanceErrorClass defines the class of error condition.
	InstanceErrorClass int32 `protobuf:"varint,3,opt,name=instanceErrorClass,proto3" json:"instanceErrorClass,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *InstanceErrorInfo) Reset() {
	*x = InstanceErrorInfo{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[30]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *InstanceErrorInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceErrorInfo) ProtoMessage() {}

func (x *InstanceErrorInfo) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[30]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceErrorInfo.ProtoReflect.Descriptor instead.
func (*InstanceErrorInfo) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{30}
}

func (x *InstanceErrorInfo) GetErrorCode() string {
	if x != nil {
		return x.ErrorCode
	}
	return ""
}

func (x *InstanceErrorInfo) GetErrorMessage() string {
	if x != nil {
		return x.ErrorMessage
	}
	return ""
}

func (x *InstanceErrorInfo) GetInstanceErrorClass() int32 {
	if x != nil {
		return x.InstanceErrorClass
	}
	return 0
}

type NodeGroupTemplateNodeInfoRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node group for the request.
	Id            string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupTemplateNodeInfoRequest) Reset() {
	*x = NodeGroupTemplateNodeInfoRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[31]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupTemplateNodeInfoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupTemplateNodeInfoRequest) ProtoMessage() {}

func (x *NodeGroupTemplateNodeInfoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[31]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupTemplateNodeInfoRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupTemplateNodeInfoRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{31}
}

func (x *NodeGroupTemplateNodeInfoRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type NodeGroupTemplateNodeInfoResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// nodeInfo is the extracted data from the cloud provider, as a primitive Kubernetes Node type.
	NodeInfo      *v11.Node `protobuf:"bytes,1,opt,name=nodeInfo,proto3" json:"nodeInfo,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupTemplateNodeInfoResponse) Reset() {
	*x = NodeGroupTemplateNodeInfoResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[32]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupTemplateNodeInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupTemplateNodeInfoResponse) ProtoMessage() {}

func (x *NodeGroupTemplateNodeInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[32]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupTemplateNodeInfoResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupTemplateNodeInfoResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{32}
}

func (x *NodeGroupTemplateNodeInfoResponse) GetNodeInfo() *v11.Node {
	if x != nil {
		return x.NodeInfo
	}
	return nil
}

type NodeGroupAutoscalingOptions struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ScaleDownUtilizationThreshold sets threshold for nodes to be considered for scale down
	// if cpu or memory utilization is over threshold.
	ScaleDownUtilizationThreshold float64 `protobuf:"fixed64,1,opt,name=scaleDownUtilizationThreshold,proto3" json:"scaleDownUtilizationThreshold,omitempty"`
	// ScaleDownGpuUtilizationThreshold sets threshold for gpu nodes to be
	// considered for scale down if gpu utilization is over threshold.
	ScaleDownGpuUtilizationThreshold float64 `protobuf:"fixed64,2,opt,name=scaleDownGpuUtilizationThreshold,proto3" json:"scaleDownGpuUtilizationThreshold,omitempty"`
	// ScaleDownUnneededTime sets the duration CA expects a node to be
	// unneeded/eligible for removal before scaling down the node.
	ScaleDownUnneededTime *v1.Duration `protobuf:"bytes,3,opt,name=scaleDownUnneededTime,proto3" json:"scaleDownUnneededTime,omitempty"`
	// ScaleDownUnreadyTime represents how long an unready node should be
	// unneeded before it is eligible for scale down.
	ScaleDownUnreadyTime *v1.Duration `protobuf:"bytes,4,opt,name=scaleDownUnreadyTime,proto3" json:"scaleDownUnreadyTime,omitempty"`
	// MaxNodeProvisionTime time CA waits for node to be provisioned
	MaxNodeProvisionTime *v1.Duration `protobuf:"bytes,5,opt,name=MaxNodeProvisionTime,proto3" json:"MaxNodeProvisionTime,omitempty"`
	// ZeroOrMaxNodeScaling means that a node group should be scaled up to maximum size or down to zero nodes all at once instead of one-by-one.
	ZeroOrMaxNodeScaling bool `protobuf:"varint,6,opt,name=zeroOrMaxNodeScaling,proto3" json:"zeroOrMaxNodeScaling,omitempty"`
	// IgnoreDaemonSetsUtilization sets if daemonsets utilization should be considered during node scale-down
	IgnoreDaemonSetsUtilization bool `protobuf:"varint,7,opt,name=ignoreDaemonSetsUtilization,proto3" json:"ignoreDaemonSetsUtilization,omitempty"`
	unknownFields               protoimpl.UnknownFields
	sizeCache                   protoimpl.SizeCache
}

func (x *NodeGroupAutoscalingOptions) Reset() {
	*x = NodeGroupAutoscalingOptions{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[33]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupAutoscalingOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupAutoscalingOptions) ProtoMessage() {}

func (x *NodeGroupAutoscalingOptions) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[33]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupAutoscalingOptions.ProtoReflect.Descriptor instead.
func (*NodeGroupAutoscalingOptions) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{33}
}

func (x *NodeGroupAutoscalingOptions) GetScaleDownUtilizationThreshold() float64 {
	if x != nil {
		return x.ScaleDownUtilizationThreshold
	}
	return 0
}

func (x *NodeGroupAutoscalingOptions) GetScaleDownGpuUtilizationThreshold() float64 {
	if x != nil {
		return x.ScaleDownGpuUtilizationThreshold
	}
	return 0
}

func (x *NodeGroupAutoscalingOptions) GetScaleDownUnneededTime() *v1.Duration {
	if x != nil {
		return x.ScaleDownUnneededTime
	}
	return nil
}

func (x *NodeGroupAutoscalingOptions) GetScaleDownUnreadyTime() *v1.Duration {
	if x != nil {
		return x.ScaleDownUnreadyTime
	}
	return nil
}

func (x *NodeGroupAutoscalingOptions) GetMaxNodeProvisionTime() *v1.Duration {
	if x != nil {
		return x.MaxNodeProvisionTime
	}
	return nil
}

func (x *NodeGroupAutoscalingOptions) GetZeroOrMaxNodeScaling() bool {
	if x != nil {
		return x.ZeroOrMaxNodeScaling
	}
	return false
}

func (x *NodeGroupAutoscalingOptions) GetIgnoreDaemonSetsUtilization() bool {
	if x != nil {
		return x.IgnoreDaemonSetsUtilization
	}
	return false
}

type NodeGroupAutoscalingOptionsRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// ID of the node group for the request.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// default node group autoscaling options.
	Defaults      *NodeGroupAutoscalingOptions `protobuf:"bytes,2,opt,name=defaults,proto3" json:"defaults,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NodeGroupAutoscalingOptionsRequest) Reset() {
	*x = NodeGroupAutoscalingOptionsRequest{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[34]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupAutoscalingOptionsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupAutoscalingOptionsRequest) ProtoMessage() {}

func (x *NodeGroupAutoscalingOptionsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[34]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupAutoscalingOptionsRequest.ProtoReflect.Descriptor instead.
func (*NodeGroupAutoscalingOptionsRequest) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{34}
}

func (x *NodeGroupAutoscalingOptionsRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *NodeGroupAutoscalingOptionsRequest) GetDefaults() *NodeGroupAutoscalingOptions {
	if x != nil {
		return x.Defaults
	}
	return nil
}

type NodeGroupAutoscalingOptionsResponse struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// autoscaling options for the requested node.
	NodeGroupAutoscalingOptions *NodeGroupAutoscalingOptions `protobuf:"bytes,1,opt,name=nodeGroupAutoscalingOptions,proto3" json:"nodeGroupAutoscalingOptions,omitempty"`
	unknownFields               protoimpl.UnknownFields
	sizeCache                   protoimpl.SizeCache
}

func (x *NodeGroupAutoscalingOptionsResponse) Reset() {
	*x = NodeGroupAutoscalingOptionsResponse{}
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[35]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NodeGroupAutoscalingOptionsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeGroupAutoscalingOptionsResponse) ProtoMessage() {}

func (x *NodeGroupAutoscalingOptionsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes[35]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeGroupAutoscalingOptionsResponse.ProtoReflect.Descriptor instead.
func (*NodeGroupAutoscalingOptionsResponse) Descriptor() ([]byte, []int) {
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP(), []int{35}
}

func (x *NodeGroupAutoscalingOptionsResponse) GetNodeGroupAutoscalingOptions() *NodeGroupAutoscalingOptions {
	if x != nil {
		return x.NodeGroupAutoscalingOptions
	}
	return nil
}

var File_cloudprovider_externalgrpc_protos_externalgrpc_proto protoreflect.FileDescriptor

const file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDesc = "" +
	"\n" +
	"4cloudprovider/externalgrpc/protos/externalgrpc.proto\x12/clusterautoscaler.cloudprovider.v1.externalgrpc\x1a\x19google/protobuf/any.proto\x1a google/protobuf/descriptor.proto\x1a\"k8s.io/api/core/v1/generated.proto\x1a4k8s.io/apimachinery/pkg/apis/meta/v1/generated.proto\"e\n" +
	"\tNodeGroup\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\x12\x18\n" +
	"\aminSize\x18\x02 \x01(\x05R\aminSize\x12\x18\n" +
	"\amaxSize\x18\x03 \x01(\x05R\amaxSize\x12\x14\n" +
	"\x05debug\x18\x04 \x01(\tR\x05debug\"\x9e\x03\n" +
	"\x10ExternalGrpcNode\x12\x1e\n" +
	"\n" +
	"providerID\x18\x01 \x01(\tR\n" +
	"providerID\x12\x12\n" +
	"\x04name\x18\x02 \x01(\tR\x04name\x12e\n" +
	"\x06labels\x18\x03 \x03(\v2M.clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.LabelsEntryR\x06labels\x12t\n" +
	"\vannotations\x18\x04 \x03(\v2R.clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.AnnotationsEntryR\vannotations\x1a9\n" +
	"\vLabelsEntry\x12\x10\n" +
	"\x03key\x18\x01 \x01(\tR\x03key\x12\x14\n" +
	"\x05value\x18\x02 \x01(\tR\x05value:\x028\x01\x1a>\n" +
	"\x10AnnotationsEntry\x12\x10\n" +
	"\x03key\x18\x01 \x01(\tR\x03key\x12\x14\n" +
	"\x05value\x18\x02 \x01(\tR\x05value:\x028\x01\"\x13\n" +
	"\x11NodeGroupsRequest\"p\n" +
	"\x12NodeGroupsResponse\x12Z\n" +
	"\n" +
	"nodeGroups\x18\x01 \x03(\v2:.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupR\n" +
	"nodeGroups\"p\n" +
	"\x17NodeGroupForNodeRequest\x12U\n" +
	"\x04node\x18\x01 \x01(\v2A.clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNodeR\x04node\"t\n" +
	"\x18NodeGroupForNodeResponse\x12X\n" +
	"\tnodeGroup\x18\x01 \x01(\v2:.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupR\tnodeGroup\"\x80\x02\n" +
	"\x17PricingNodePriceRequest\x12U\n" +
	"\x04node\x18\x01 \x01(\v2A.clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNodeR\x04node\x12H\n" +
	"\tstartTime\x18\x02 \x01(\v2*.k8s.io.apimachinery.pkg.apis.meta.v1.TimeR\tstartTime\x12D\n" +
	"\aendTime\x18\x03 \x01(\v2*.k8s.io.apimachinery.pkg.apis.meta.v1.TimeR\aendTime\"0\n" +
	"\x18PricingNodePriceResponse\x12\x14\n" +
	"\x05price\x18\x01 \x01(\x01R\x05price\"\xd3\x01\n" +
	"\x16PricingPodPriceRequest\x12)\n" +
	"\x03pod\x18\x01 \x01(\v2\x17.k8s.io.api.core.v1.PodR\x03pod\x12H\n" +
	"\tstartTime\x18\x02 \x01(\v2*.k8s.io.apimachinery.pkg.apis.meta.v1.TimeR\tstartTime\x12D\n" +
	"\aendTime\x18\x03 \x01(\v2*.k8s.io.apimachinery.pkg.apis.meta.v1.TimeR\aendTime\"/\n" +
	"\x17PricingPodPriceResponse\x12\x14\n" +
	"\x05price\x18\x01 \x01(\x01R\x05price\"\x11\n" +
	"\x0fGPULabelRequest\"(\n" +
	"\x10GPULabelResponse\x12\x14\n" +
	"\x05label\x18\x01 \x01(\tR\x05label\"\x1d\n" +
	"\x1bGetAvailableGPUTypesRequest\"\xea\x01\n" +
	"\x1cGetAvailableGPUTypesResponse\x12w\n" +
	"\bgpuTypes\x18\x01 \x03(\v2[.clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse.GpuTypesEntryR\bgpuTypes\x1aQ\n" +
	"\rGpuTypesEntry\x12\x10\n" +
	"\x03key\x18\x01 \x01(\tR\x03key\x12*\n" +
	"\x05value\x18\x02 \x01(\v2\x14.google.protobuf.AnyR\x05value:\x028\x01\"\x10\n" +
	"\x0eCleanupRequest\"\x11\n" +
	"\x0fCleanupResponse\"\x10\n" +
	"\x0eRefreshRequest\"\x11\n" +
	"\x0fRefreshResponse\",\n" +
	"\x1aNodeGroupTargetSizeRequest\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\"=\n" +
	"\x1bNodeGroupTargetSizeResponse\x12\x1e\n" +
	"\n" +
	"targetSize\x18\x01 \x01(\x05R\n" +
	"targetSize\"D\n" +
	"\x1cNodeGroupIncreaseSizeRequest\x12\x14\n" +
	"\x05delta\x18\x01 \x01(\x05R\x05delta\x12\x0e\n" +
	"\x02id\x18\x02 \x01(\tR\x02id\"\x1f\n" +
	"\x1dNodeGroupIncreaseSizeResponse\"\x86\x01\n" +
	"\x1bNodeGroupDeleteNodesRequest\x12W\n" +
	"\x05nodes\x18\x01 \x03(\v2A.clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNodeR\x05nodes\x12\x0e\n" +
	"\x02id\x18\x02 \x01(\tR\x02id\"\x1e\n" +
	"\x1cNodeGroupDeleteNodesResponse\"J\n" +
	"\"NodeGroupDecreaseTargetSizeRequest\x12\x14\n" +
	"\x05delta\x18\x01 \x01(\x05R\x05delta\x12\x0e\n" +
	"\x02id\x18\x02 \x01(\tR\x02id\"%\n" +
	"#NodeGroupDecreaseTargetSizeResponse\"'\n" +
	"\x15NodeGroupNodesRequest\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\"q\n" +
	"\x16NodeGroupNodesResponse\x12W\n" +
	"\tinstances\x18\x01 \x03(\v29.clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceR\tinstances\"s\n" +
	"\bInstance\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\x12W\n" +
	"\x06status\x18\x02 \x01(\v2?.clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatusR\x06status\"\xca\x02\n" +
	"\x0eInstanceStatus\x12s\n" +
	"\rinstanceState\x18\x01 \x01(\x0e2M.clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus.InstanceStateR\rinstanceState\x12`\n" +
	"\terrorInfo\x18\x02 \x01(\v2B.clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceErrorInfoR\terrorInfo\"a\n" +
	"\rInstanceState\x12\x0f\n" +
	"\vunspecified\x10\x00\x12\x13\n" +
	"\x0finstanceRunning\x10\x01\x12\x14\n" +
	"\x10instanceCreating\x10\x02\x12\x14\n" +
	"\x10instanceDeleting\x10\x03\"\x85\x01\n" +
	"\x11InstanceErrorInfo\x12\x1c\n" +
	"\terrorCode\x18\x01 \x01(\tR\terrorCode\x12\"\n" +
	"\ferrorMessage\x18\x02 \x01(\tR\ferrorMessage\x12.\n" +
	"\x12instanceErrorClass\x18\x03 \x01(\x05R\x12instanceErrorClass\"2\n" +
	" NodeGroupTemplateNodeInfoRequest\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\"Y\n" +
	"!NodeGroupTemplateNodeInfoResponse\x124\n" +
	"\bnodeInfo\x18\x01 \x01(\v2\x18.k8s.io.api.core.v1.NodeR\bnodeInfo\"\xd3\x04\n" +
	"\x1bNodeGroupAutoscalingOptions\x12D\n" +
	"\x1dscaleDownUtilizationThreshold\x18\x01 \x01(\x01R\x1dscaleDownUtilizationThreshold\x12J\n" +
	" scaleDownGpuUtilizationThreshold\x18\x02 \x01(\x01R scaleDownGpuUtilizationThreshold\x12d\n" +
	"\x15scaleDownUnneededTime\x18\x03 \x01(\v2..k8s.io.apimachinery.pkg.apis.meta.v1.DurationR\x15scaleDownUnneededTime\x12b\n" +
	"\x14scaleDownUnreadyTime\x18\x04 \x01(\v2..k8s.io.apimachinery.pkg.apis.meta.v1.DurationR\x14scaleDownUnreadyTime\x12b\n" +
	"\x14MaxNodeProvisionTime\x18\x05 \x01(\v2..k8s.io.apimachinery.pkg.apis.meta.v1.DurationR\x14MaxNodeProvisionTime\x122\n" +
	"\x14zeroOrMaxNodeScaling\x18\x06 \x01(\bR\x14zeroOrMaxNodeScaling\x12@\n" +
	"\x1bignoreDaemonSetsUtilization\x18\a \x01(\bR\x1bignoreDaemonSetsUtilization\"\x9e\x01\n" +
	"\"NodeGroupAutoscalingOptionsRequest\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\tR\x02id\x12h\n" +
	"\bdefaults\x18\x02 \x01(\v2L.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsR\bdefaults\"\xb6\x01\n" +
	"#NodeGroupAutoscalingOptionsResponse\x12\x8e\x01\n" +
	"\x1bnodeGroupAutoscalingOptions\x18\x01 \x01(\v2L.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsR\x1bnodeGroupAutoscalingOptions2\xbf\x14\n" +
	"\rCloudProvider\x12\x97\x01\n" +
	"\n" +
	"NodeGroups\x12B.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsRequest\x1aC.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsResponse\"\x00\x12\xa9\x01\n" +
	"\x10NodeGroupForNode\x12H.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeRequest\x1aI.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeResponse\"\x00\x12\xa9\x01\n" +
	"\x10PricingNodePrice\x12H.clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest\x1aI.clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceResponse\"\x00\x12\xa6\x01\n" +
	"\x0fPricingPodPrice\x12G.clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest\x1aH.clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceResponse\"\x00\x12\x91\x01\n" +
	"\bGPULabel\x12@.clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelRequest\x1aA.clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelResponse\"\x00\x12\xb5\x01\n" +
	"\x14GetAvailableGPUTypes\x12L.clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesRequest\x1aM.clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse\"\x00\x12\x8e\x01\n" +
	"\aCleanup\x12?.clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupRequest\x1a@.clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupResponse\"\x00\x12\x8e\x01\n" +
	"\aRefresh\x12?.clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshRequest\x1a@.clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshResponse\"\x00\x12\xb2\x01\n" +
	"\x13NodeGroupTargetSize\x12K.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeRequest\x1aL.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeResponse\"\x00\x12\xb8\x01\n" +
	"\x15NodeGroupIncreaseSize\x12M.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeRequest\x1aN.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeResponse\"\x00\x12\xb5\x01\n" +
	"\x14NodeGroupDeleteNodes\x12L.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesRequest\x1aM.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesResponse\"\x00\x12\xca\x01\n" +
	"\x1bNodeGroupDecreaseTargetSize\x12S.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeRequest\x1aT.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeResponse\"\x00\x12\xa3\x01\n" +
	"\x0eNodeGroupNodes\x12F.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesRequest\x1aG.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesResponse\"\x00\x12\xc4\x01\n" +
	"\x19NodeGroupTemplateNodeInfo\x12Q.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoRequest\x1aR.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoResponse\"\x00\x12\xc2\x01\n" +
	"\x13NodeGroupGetOptions\x12S.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsRequest\x1aT.clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsResponse\"\x00B6Z4cluster-autoscaler/cloudprovider/externalgrpc/protosb\x06proto3"

var (
	file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescOnce sync.Once
	file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescData []byte
)

func file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescGZIP() []byte {
	file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescOnce.Do(func() {
		file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDesc), len(file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDesc)))
	})
	return file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDescData
}

var file_cloudprovider_externalgrpc_protos_externalgrpc_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes = make([]protoimpl.MessageInfo, 39)
var file_cloudprovider_externalgrpc_protos_externalgrpc_proto_goTypes = []any{
	(InstanceStatus_InstanceState)(0),           // 0: clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus.InstanceState
	(*NodeGroup)(nil),                           // 1: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroup
	(*ExternalGrpcNode)(nil),                    // 2: clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode
	(*NodeGroupsRequest)(nil),                   // 3: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsRequest
	(*NodeGroupsResponse)(nil),                  // 4: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsResponse
	(*NodeGroupForNodeRequest)(nil),             // 5: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeRequest
	(*NodeGroupForNodeResponse)(nil),            // 6: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeResponse
	(*PricingNodePriceRequest)(nil),             // 7: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest
	(*PricingNodePriceResponse)(nil),            // 8: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceResponse
	(*PricingPodPriceRequest)(nil),              // 9: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest
	(*PricingPodPriceResponse)(nil),             // 10: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceResponse
	(*GPULabelRequest)(nil),                     // 11: clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelRequest
	(*GPULabelResponse)(nil),                    // 12: clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelResponse
	(*GetAvailableGPUTypesRequest)(nil),         // 13: clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesRequest
	(*GetAvailableGPUTypesResponse)(nil),        // 14: clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse
	(*CleanupRequest)(nil),                      // 15: clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupRequest
	(*CleanupResponse)(nil),                     // 16: clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupResponse
	(*RefreshRequest)(nil),                      // 17: clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshRequest
	(*RefreshResponse)(nil),                     // 18: clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshResponse
	(*NodeGroupTargetSizeRequest)(nil),          // 19: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeRequest
	(*NodeGroupTargetSizeResponse)(nil),         // 20: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeResponse
	(*NodeGroupIncreaseSizeRequest)(nil),        // 21: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeRequest
	(*NodeGroupIncreaseSizeResponse)(nil),       // 22: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeResponse
	(*NodeGroupDeleteNodesRequest)(nil),         // 23: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesRequest
	(*NodeGroupDeleteNodesResponse)(nil),        // 24: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesResponse
	(*NodeGroupDecreaseTargetSizeRequest)(nil),  // 25: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeRequest
	(*NodeGroupDecreaseTargetSizeResponse)(nil), // 26: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeResponse
	(*NodeGroupNodesRequest)(nil),               // 27: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesRequest
	(*NodeGroupNodesResponse)(nil),              // 28: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesResponse
	(*Instance)(nil),                            // 29: clusterautoscaler.cloudprovider.v1.externalgrpc.Instance
	(*InstanceStatus)(nil),                      // 30: clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus
	(*InstanceErrorInfo)(nil),                   // 31: clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceErrorInfo
	(*NodeGroupTemplateNodeInfoRequest)(nil),    // 32: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoRequest
	(*NodeGroupTemplateNodeInfoResponse)(nil),   // 33: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoResponse
	(*NodeGroupAutoscalingOptions)(nil),         // 34: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions
	(*NodeGroupAutoscalingOptionsRequest)(nil),  // 35: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsRequest
	(*NodeGroupAutoscalingOptionsResponse)(nil), // 36: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsResponse
	nil,                 // 37: clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.LabelsEntry
	nil,                 // 38: clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.AnnotationsEntry
	nil,                 // 39: clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse.GpuTypesEntry
	(*v1.Time)(nil),     // 40: k8s.io.apimachinery.pkg.apis.meta.v1.Time
	(*v11.Pod)(nil),     // 41: k8s.io.api.core.v1.Pod
	(*v11.Node)(nil),    // 42: k8s.io.api.core.v1.Node
	(*v1.Duration)(nil), // 43: k8s.io.apimachinery.pkg.apis.meta.v1.Duration
	(*anypb.Any)(nil),   // 44: google.protobuf.Any
}
var file_cloudprovider_externalgrpc_protos_externalgrpc_proto_depIdxs = []int32{
	37, // 0: clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.labels:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.LabelsEntry
	38, // 1: clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.annotations:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode.AnnotationsEntry
	1,  // 2: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsResponse.nodeGroups:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroup
	2,  // 3: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeRequest.node:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode
	1,  // 4: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeResponse.nodeGroup:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroup
	2,  // 5: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest.node:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode
	40, // 6: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest.startTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Time
	40, // 7: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest.endTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Time
	41, // 8: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest.pod:type_name -> k8s.io.api.core.v1.Pod
	40, // 9: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest.startTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Time
	40, // 10: clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest.endTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Time
	39, // 11: clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse.gpuTypes:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse.GpuTypesEntry
	2,  // 12: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesRequest.nodes:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.ExternalGrpcNode
	29, // 13: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesResponse.instances:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.Instance
	30, // 14: clusterautoscaler.cloudprovider.v1.externalgrpc.Instance.status:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus
	0,  // 15: clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus.instanceState:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus.InstanceState
	31, // 16: clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceStatus.errorInfo:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.InstanceErrorInfo
	42, // 17: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoResponse.nodeInfo:type_name -> k8s.io.api.core.v1.Node
	43, // 18: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions.scaleDownUnneededTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Duration
	43, // 19: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions.scaleDownUnreadyTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Duration
	43, // 20: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions.MaxNodeProvisionTime:type_name -> k8s.io.apimachinery.pkg.apis.meta.v1.Duration
	34, // 21: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsRequest.defaults:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions
	34, // 22: clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsResponse.nodeGroupAutoscalingOptions:type_name -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptions
	44, // 23: clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse.GpuTypesEntry.value:type_name -> google.protobuf.Any
	3,  // 24: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroups:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsRequest
	5,  // 25: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupForNode:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeRequest
	7,  // 26: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.PricingNodePrice:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceRequest
	9,  // 27: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.PricingPodPrice:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceRequest
	11, // 28: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.GPULabel:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelRequest
	13, // 29: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.GetAvailableGPUTypes:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesRequest
	15, // 30: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.Cleanup:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupRequest
	17, // 31: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.Refresh:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshRequest
	19, // 32: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupTargetSize:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeRequest
	21, // 33: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupIncreaseSize:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeRequest
	23, // 34: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupDeleteNodes:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesRequest
	25, // 35: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupDecreaseTargetSize:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeRequest
	27, // 36: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupNodes:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesRequest
	32, // 37: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupTemplateNodeInfo:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoRequest
	35, // 38: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupGetOptions:input_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsRequest
	4,  // 39: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroups:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupsResponse
	6,  // 40: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupForNode:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupForNodeResponse
	8,  // 41: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.PricingNodePrice:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.PricingNodePriceResponse
	10, // 42: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.PricingPodPrice:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.PricingPodPriceResponse
	12, // 43: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.GPULabel:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.GPULabelResponse
	14, // 44: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.GetAvailableGPUTypes:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.GetAvailableGPUTypesResponse
	16, // 45: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.Cleanup:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.CleanupResponse
	18, // 46: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.Refresh:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.RefreshResponse
	20, // 47: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupTargetSize:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTargetSizeResponse
	22, // 48: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupIncreaseSize:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupIncreaseSizeResponse
	24, // 49: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupDeleteNodes:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDeleteNodesResponse
	26, // 50: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupDecreaseTargetSize:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupDecreaseTargetSizeResponse
	28, // 51: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupNodes:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupNodesResponse
	33, // 52: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupTemplateNodeInfo:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupTemplateNodeInfoResponse
	36, // 53: clusterautoscaler.cloudprovider.v1.externalgrpc.CloudProvider.NodeGroupGetOptions:output_type -> clusterautoscaler.cloudprovider.v1.externalgrpc.NodeGroupAutoscalingOptionsResponse
	39, // [39:54] is the sub-list for method output_type
	24, // [24:39] is the sub-list for method input_type
	24, // [24:24] is the sub-list for extension type_name
	24, // [24:24] is the sub-list for extension extendee
	0,  // [0:24] is the sub-list for field type_name
}

func init() { file_cloudprovider_externalgrpc_protos_externalgrpc_proto_init() }
func file_cloudprovider_externalgrpc_protos_externalgrpc_proto_init() {
	if File_cloudprovider_externalgrpc_protos_externalgrpc_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDesc), len(file_cloudprovider_externalgrpc_protos_externalgrpc_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   39,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_cloudprovider_externalgrpc_protos_externalgrpc_proto_goTypes,
		DependencyIndexes: file_cloudprovider_externalgrpc_protos_externalgrpc_proto_depIdxs,
		EnumInfos:         file_cloudprovider_externalgrpc_protos_externalgrpc_proto_enumTypes,
		MessageInfos:      file_cloudprovider_externalgrpc_protos_externalgrpc_proto_msgTypes,
	}.Build()
	File_cloudprovider_externalgrpc_protos_externalgrpc_proto = out.File
	file_cloudprovider_externalgrpc_protos_externalgrpc_proto_goTypes = nil
	file_cloudprovider_externalgrpc_protos_externalgrpc_proto_depIdxs = nil
}
