/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	context "context"

	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	autoscalingk8siov1 "k8s.io/autoscaler/vertical-pod-autoscaler/pkg/apis/autoscaling.k8s.io/v1"
	scheme "k8s.io/autoscaler/vertical-pod-autoscaler/pkg/client/clientset/versioned/scheme"
	gentype "k8s.io/client-go/gentype"
)

// VerticalPodAutoscalerCheckpointsGetter has a method to return a VerticalPodAutoscalerCheckpointInterface.
// A group's client should implement this interface.
type VerticalPodAutoscalerCheckpointsGetter interface {
	VerticalPodAutoscalerCheckpoints(namespace string) VerticalPodAutoscalerCheckpointInterface
}

// VerticalPodAutoscalerCheckpointInterface has methods to work with VerticalPodAutoscalerCheckpoint resources.
type VerticalPodAutoscalerCheckpointInterface interface {
	Create(ctx context.Context, verticalPodAutoscalerCheckpoint *autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, opts metav1.CreateOptions) (*autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, error)
	Update(ctx context.Context, verticalPodAutoscalerCheckpoint *autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, opts metav1.UpdateOptions) (*autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, error)
	Delete(ctx context.Context, name string, opts metav1.DeleteOptions) error
	DeleteCollection(ctx context.Context, opts metav1.DeleteOptions, listOpts metav1.ListOptions) error
	Get(ctx context.Context, name string, opts metav1.GetOptions) (*autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, error)
	List(ctx context.Context, opts metav1.ListOptions) (*autoscalingk8siov1.VerticalPodAutoscalerCheckpointList, error)
	Watch(ctx context.Context, opts metav1.ListOptions) (watch.Interface, error)
	Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts metav1.PatchOptions, subresources ...string) (result *autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, err error)
	VerticalPodAutoscalerCheckpointExpansion
}

// verticalPodAutoscalerCheckpoints implements VerticalPodAutoscalerCheckpointInterface
type verticalPodAutoscalerCheckpoints struct {
	*gentype.ClientWithList[*autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, *autoscalingk8siov1.VerticalPodAutoscalerCheckpointList]
}

// newVerticalPodAutoscalerCheckpoints returns a VerticalPodAutoscalerCheckpoints
func newVerticalPodAutoscalerCheckpoints(c *AutoscalingV1Client, namespace string) *verticalPodAutoscalerCheckpoints {
	return &verticalPodAutoscalerCheckpoints{
		gentype.NewClientWithList[*autoscalingk8siov1.VerticalPodAutoscalerCheckpoint, *autoscalingk8siov1.VerticalPodAutoscalerCheckpointList](
			"verticalpodautoscalercheckpoints",
			c.RESTClient(),
			scheme.ParameterCodec,
			namespace,
			func() *autoscalingk8siov1.VerticalPodAutoscalerCheckpoint {
				return &autoscalingk8siov1.VerticalPodAutoscalerCheckpoint{}
			},
			func() *autoscalingk8siov1.VerticalPodAutoscalerCheckpointList {
				return &autoscalingk8siov1.VerticalPodAutoscalerCheckpointList{}
			},
		),
	}
}
