/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package v1beta2

import (
	context "context"

	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	autoscalingk8siov1beta2 "k8s.io/autoscaler/vertical-pod-autoscaler/pkg/apis/autoscaling.k8s.io/v1beta2"
	scheme "k8s.io/autoscaler/vertical-pod-autoscaler/pkg/client/clientset/versioned/scheme"
	gentype "k8s.io/client-go/gentype"
)

// VerticalPodAutoscalersGetter has a method to return a VerticalPodAutoscalerInterface.
// A group's client should implement this interface.
type VerticalPodAutoscalersGetter interface {
	VerticalPodAutoscalers(namespace string) VerticalPodAutoscalerInterface
}

// VerticalPodAutoscalerInterface has methods to work with VerticalPodAutoscaler resources.
type VerticalPodAutoscalerInterface interface {
	Create(ctx context.Context, verticalPodAutoscaler *autoscalingk8siov1beta2.VerticalPodAutoscaler, opts v1.CreateOptions) (*autoscalingk8siov1beta2.VerticalPodAutoscaler, error)
	Update(ctx context.Context, verticalPodAutoscaler *autoscalingk8siov1beta2.VerticalPodAutoscaler, opts v1.UpdateOptions) (*autoscalingk8siov1beta2.VerticalPodAutoscaler, error)
	// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
	UpdateStatus(ctx context.Context, verticalPodAutoscaler *autoscalingk8siov1beta2.VerticalPodAutoscaler, opts v1.UpdateOptions) (*autoscalingk8siov1beta2.VerticalPodAutoscaler, error)
	Delete(ctx context.Context, name string, opts v1.DeleteOptions) error
	DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error
	Get(ctx context.Context, name string, opts v1.GetOptions) (*autoscalingk8siov1beta2.VerticalPodAutoscaler, error)
	List(ctx context.Context, opts v1.ListOptions) (*autoscalingk8siov1beta2.VerticalPodAutoscalerList, error)
	Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error)
	Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *autoscalingk8siov1beta2.VerticalPodAutoscaler, err error)
	VerticalPodAutoscalerExpansion
}

// verticalPodAutoscalers implements VerticalPodAutoscalerInterface
type verticalPodAutoscalers struct {
	*gentype.ClientWithList[*autoscalingk8siov1beta2.VerticalPodAutoscaler, *autoscalingk8siov1beta2.VerticalPodAutoscalerList]
}

// newVerticalPodAutoscalers returns a VerticalPodAutoscalers
func newVerticalPodAutoscalers(c *AutoscalingV1beta2Client, namespace string) *verticalPodAutoscalers {
	return &verticalPodAutoscalers{
		gentype.NewClientWithList[*autoscalingk8siov1beta2.VerticalPodAutoscaler, *autoscalingk8siov1beta2.VerticalPodAutoscalerList](
			"verticalpodautoscalers",
			c.RESTClient(),
			scheme.ParameterCodec,
			namespace,
			func() *autoscalingk8siov1beta2.VerticalPodAutoscaler {
				return &autoscalingk8siov1beta2.VerticalPodAutoscaler{}
			},
			func() *autoscalingk8siov1beta2.VerticalPodAutoscalerList {
				return &autoscalingk8siov1beta2.VerticalPodAutoscalerList{}
			},
		),
	}
}
