/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by lister-gen. DO NOT EDIT.

package v1beta1

import (
	labels "k8s.io/apimachinery/pkg/labels"
	autoscalingk8siov1beta1 "k8s.io/autoscaler/vertical-pod-autoscaler/pkg/apis/autoscaling.k8s.io/v1beta1"
	listers "k8s.io/client-go/listers"
	cache "k8s.io/client-go/tools/cache"
)

// VerticalPodAutoscalerLister helps list VerticalPodAutoscalers.
// All objects returned here must be treated as read-only.
type VerticalPodAutoscalerLister interface {
	// List lists all VerticalPodAutoscalers in the indexer.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*autoscalingk8siov1beta1.VerticalPodAutoscaler, err error)
	// VerticalPodAutoscalers returns an object that can list and get VerticalPodAutoscalers.
	VerticalPodAutoscalers(namespace string) VerticalPodAutoscalerNamespaceLister
	VerticalPodAutoscalerListerExpansion
}

// verticalPodAutoscalerLister implements the VerticalPodAutoscalerLister interface.
type verticalPodAutoscalerLister struct {
	listers.ResourceIndexer[*autoscalingk8siov1beta1.VerticalPodAutoscaler]
}

// NewVerticalPodAutoscalerLister returns a new VerticalPodAutoscalerLister.
func NewVerticalPodAutoscalerLister(indexer cache.Indexer) VerticalPodAutoscalerLister {
	return &verticalPodAutoscalerLister{listers.New[*autoscalingk8siov1beta1.VerticalPodAutoscaler](indexer, autoscalingk8siov1beta1.Resource("verticalpodautoscaler"))}
}

// VerticalPodAutoscalers returns an object that can list and get VerticalPodAutoscalers.
func (s *verticalPodAutoscalerLister) VerticalPodAutoscalers(namespace string) VerticalPodAutoscalerNamespaceLister {
	return verticalPodAutoscalerNamespaceLister{listers.NewNamespaced[*autoscalingk8siov1beta1.VerticalPodAutoscaler](s.ResourceIndexer, namespace)}
}

// VerticalPodAutoscalerNamespaceLister helps list and get VerticalPodAutoscalers.
// All objects returned here must be treated as read-only.
type VerticalPodAutoscalerNamespaceLister interface {
	// List lists all VerticalPodAutoscalers in the indexer for a given namespace.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*autoscalingk8siov1beta1.VerticalPodAutoscaler, err error)
	// Get retrieves the VerticalPodAutoscaler from the indexer for a given namespace and name.
	// Objects returned here must be treated as read-only.
	Get(name string) (*autoscalingk8siov1beta1.VerticalPodAutoscaler, error)
	VerticalPodAutoscalerNamespaceListerExpansion
}

// verticalPodAutoscalerNamespaceLister implements the VerticalPodAutoscalerNamespaceLister
// interface.
type verticalPodAutoscalerNamespaceLister struct {
	listers.ResourceIndexer[*autoscalingk8siov1beta1.VerticalPodAutoscaler]
}
